请选择 进入手机版 | 继续访问电脑版

唐康林NX二次开发论坛

 找回密码
 立即注册
查看: 342|回复: 0

[技术分享] NX二次开发关于UF_BREP创建几何体不正确问题!

[复制链接]

555

主题

740

帖子

3336

积分

管理员

Rank: 9Rank: 9Rank: 9

积分
3336
发表于 2018-6-28 20:07:16 | 显示全部楼层 |阅读模式
文/唐康林 QQ125317589 E-mail:tangkl@foxmail.com
        各位NXOpen的狂热分子们,此文是关于利用BREP方式创建几何体,在NX中不正确的解析,如果不是NXOpen狂热分子,请忽略此文。
        关于BREP创建几何体,基本上没有几个人会用到它,因为大部分情况下,要实现这个目的,大家采用了更简单的方法。
        利用BREP方式创建几何体,简单点说,就是利用几何体的拓扑方式去构建。但细心的NXOpen爱好者,会发现一个问题,如果想创建一个圆形的片体,在非绝对方位,往往位置及形状不是预期的那样。
        要解决这个问题,就要谈到NXOpen中常规的3×3矩阵。
        常规情况下,定义坐标系的矩阵一般为:
        double xyz[9], 在这9个元素中,0,1,2代表X方向,3,4,5代表Y方向,而6,7,8代表Z方向。也就是大家说的‘行向量’。
        而这里一定要注意的是在函数UF_BREP_attach_geometry中,关于圆弧,椭圆及其它二次曲线,它是采用的“列”向量。
        即,0,3,6表示X方向,1,4,7表示Y方向, 2,5,8表示Z方向。
        如果你按规常的方法定义,就会出现创建的几何体与预期的不一致。正确的做法如下,请知悉:
UF_BREP.png
回复

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|Archiver|手机版|小黑屋| ( 蜀ICP备16014681号

GMT+8, 2018-9-19 01:07 , Processed in 0.087099 second(s), 26 queries .

Powered by www.nxopen.cn

© 2001-2013 nxopen.cn

快速回复 返回顶部 返回列表